%global npm_name eyes

Name: nodejs-eyes
Version: 0.1.8
Release: %mkrel 4
Summary: a customizable value inspector
License: MIT
Group: Development/Other
URL: https://www.npmjs.com/package/eyes
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
I was tired of looking at cluttered output in the console -- something needed
to be done, sys.inspect() didn't display regexps correctly, and was too
verbose, and I had an hour or two to spare. So I decided to have some fun.

eyes were born

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.8-4.mga10
+ Revision: 2208891
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.1.8-3.mga9
+ Revision: 1819339
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1.8-2.mga8
+ Revision: 1521027
- Mageia 8 Mass Rebuild

* Fri Dec 14 2018 kekepower <kekepower> 0.1.8-1.mga7
+ Revision: 1341270
- imported package nodejs-eyes

